| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxEventLoopActivator Class Reference
Application and Process Management

`#include <wx/evtloop.h>`

## Detailed Description

Makes an event loop temporarily active.

This class is used to make the event loop active during its life-time, e.g.:

class MyEventLoop : public wxEventLoopBase { ... };
void RunMyLoop()
{
MyEventLoop loop;
wxEventLoopActivator activate(&loop);
...
} // the previously active event loop restored here

##

Library: wxBase
Category: Application and Process Management

See Also
  wxEventLoopBase

## Public Member Functions
| wxEventLoopActivator (wxEventLoopBase *loop)
| Makes the loop passed as the parameter currently active.
| ~wxEventLoopActivator ()
| Restores the previously active event loop stored by the constructor.

## Constructor & Destructor Documentation

wxEventLoopActivator::wxEventLoopActivator | ( | wxEventLoopBase * | loop | ) |

Makes the loop passed as the parameter currently active.

This saves the current return value of wxEventLoopBase::GetActive() and then calls wxEventLoopBase::SetActive() with the given loop.

wxEventLoopActivator::~wxEventLoopActivator | ( |  | ) |

Restores the previously active event loop stored by the constructor.